html,
body {
    height: 100%;
    background-color: black;
}

@keyframes rotation1 {
    0% {
        transform: rotate(0);
    }
    100% {
        transform: rotate(360deg);
    }
}

@media screen and (max-width: 959px) {
    .top {
        background-color: black;
        height: 100%;
    }
    .top .logo img {
        margin: 0 auto;
        width: 100%;
        animation: 15s linear infinite rotation1;
    }
    .logo {
        width: 100%;
        text-align: center;
        margin: 0 auto;
    }
    .logo p {
        text-align: center;
        margin: 0 auto;
        width: 70%;
        color: white;
        padding: 10px 20px;
        border: 5px solid white;
    }
    .footer p {
        text-align: center;
        margin: 0;
        color: #626262;
        background-color: black;
        width: 100%;
        /* position: absolute; */
        margin-top: 80px;
        bottom: 10px;
        margin-bottom: 10px;
        padding-bottom: 10px;
    }
    #title {
        margin: 0 10px;
        margin-top: 50px;
        background-color: white;
        color: black;
        padding-left: 10px;
        font-size: 30px;
        letter-spacing: 10px;
    }
    #official {
        margin: 0 10px;
        text-align: right;
        letter-spacing: 15px;
        font-size: 30px;
        color: white;
        border: 2px solid white;
    }
}

@media screen and (min-width: 960px) {
    .top {
        background-color: black;
        height: 100%;
        position: relative;
    }
    .logo {
        height: 100%;
        width: 40%;
        margin: 0 auto;
        text-align: center;
    }
    .top .logo img {
        margin: 0 auto;
        width: 100%;
        max-width: 500px;
        animation: 15s linear infinite rotation1;
    }
    .logo p {
        text-align: center;
        margin: 0 auto;
        width: 70%;
        color: white;
        border: 5px solid white;
        padding: 20px 50px;
    }
    footer {
        margin: 0;
        width: 100%;
    }
    .footer p {
        text-align: center;
        margin: 0;
        color: #626262;
        background-color: black;
        width: 100%;
        position: absolute;
        bottom: 5px;
    }
    #title {
        position: absolute;
        transform: rotate(-90deg);
        font-size: 50px;
        color: black;
        top: 40%;
        left: -10%;
        padding: 0 100px;
        background-color: white;
        letter-spacing: 10px;
    }
    #official {
        position: absolute;
        transform: rotate(90deg);
        font-size: 50px;
        color: white;
        top: 40%;
        right: -10%;
        padding: 0 125px;
        border: 2px solid white;
        letter-spacing: 20px;
    }
}